Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator___Model.GeometricObjects.GeometricTopology Class Reference

Class representing geometric topology of road network. More...

## Public Member Functions
void | AddLane (Lane newLane)
| Adds new lane to geometric topology. More...
void | Serialize (string path)
| Save geometric topology to file. More...

## Static Public Member Functions
static GeometricTopology | Deserialize (string path)
| Load geometric topology from file. More...

## Properties
ReadOnlyCollection< Lane > | Lanes`[get]`
| Lanes in geometric topology. </summary More...
bool | IsEmpty`[get]`
| Flag indicating if geometric topology is empty. More...

## Detailed Description

Class representing geometric topology of road network.

Definition at line 14 of file GeometricTopology.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator___Model.GeometricObjects.GeometricTopology.AddLane | ( | Lane | newLane | ) |

Adds new lane to geometric topology.

Parameters

  newLane | New lane to add.

Definition at line 34 of file GeometricTopology.cs.

static GeometricTopology Microscopic_Traffic_Simulator___Model.GeometricObjects.GeometricTopology.Deserialize | ( | string | path | ) |
| static

Load geometric topology from file.

Parameters

  path | Path to file.

Returns
  Loaded geometric topology.

Definition at line 56 of file GeometricTopology.cs.

void Microscopic_Traffic_Simulator___Model.GeometricObjects.GeometricTopology.Serialize | ( | string | path | ) |

Save geometric topology to file.

Parameters

  path | Path to file.

Definition at line 43 of file GeometricTopology.cs.

## Property Documentation

bool Microscopic_Traffic_Simulator___Model.GeometricObjects.GeometricTopology.IsEmpty
| get

Flag indicating if geometric topology is empty.

Definition at line 28 of file GeometricTopology.cs.

ReadOnlyCollection<Lane> Microscopic_Traffic_Simulator___Model.GeometricObjects.GeometricTopology.Lanes
| get

Lanes in geometric topology. </summary

Definition at line 23 of file GeometricTopology.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/GeometricObjects/GeometricTopology.cs